## com.google.appengine.api.taskqueue
Enum TaskOptions.Method

    java.lang.Object
      java.lang.Enum<TaskOptions.Method>
          com.google.appengine.api.taskqueue.TaskOptions.Method

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskOptions.Method>

Enclosing class:
  TaskOptions

    public static enum TaskOptions.Method

extends java.lang.Enum<TaskOptions.Method>

Methods supported by `Queue`. Tasks added to pull queues must have the `#Method` PULL. All other methods are appropriate for push queues. See `Queue` for more detail on pull and push mode queues.

Enum Constant Summary
`DELETE`
`GET`
`HEAD`
`POST`
`PULL`
`PUT`

Method Summary
`static TaskOptions.Method` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskOptions.Method[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DELETE

    public static final TaskOptions.Method DELETE

### GET

    public static final TaskOptions.Method GET

### HEAD

    public static final TaskOptions.Method HEAD

### POST

    public static final TaskOptions.Method POST

### PUT

    public static final TaskOptions.Method PUT

### PULL

    public static final TaskOptions.Method PULL

Method Detail

### values

    public static TaskOptions.Method[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskOptions.Method c : TaskOptions.Method.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskOptions.Method valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null